升级到1604后,virtual box无法使用(已解决)

18.04、16.04、14.04
az255
帖子: 20
注册时间: 2014-03-20 22:37
系统: ubuntu 12.04
送出感谢: 3 次
接收感谢: 0

升级到1604后,virtual box无法使用(已解决)

#1

帖子 az255 » 2016-04-22 12:34

升级到1604后,virtualbox也升级到5.0.18 amd64版本,但是启动虚拟机时报错。
按提示执行
sudo /sbin/rcvboxdrv setup

Stopping VirtualBox kernel modules ...done.
Uninstalling old VirtualBox DKMS kernel modules ...done.
Trying to register the VirtualBox kernel modules using DKMS ...done.
Starting VirtualBox kernel modules ...failed!
(modprobe vboxdrv failed. Please use 'dmesg' to find out why)
[email protected]:~$

执行dmesg的结果见附件,

我该怎么办,难道必须重装,退回1510吗
附件
a.txt
(64.88 KiB) 下载 41 次
上次由 az255 在 2016-05-15 19:09,总共编辑 2 次。
sulit
帖子: 21
注册时间: 2011-12-08 17:35
送出感谢: 1 次
接收感谢: 2 次

Re: 升级到1604后,virtual box无法使用

#2

帖子 sulit » 2016-04-22 12:42

忍一忍,这是virtualbox的问题,等,或者自己找patch打上编译,我的在4.5内核上也有问题,正在解决
poloshiao
论坛版主
帖子: 18280
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1957 次

Re: 升级到1604后,virtual box无法使用

#3

帖子 poloshiao » 2016-04-22 13:00

amd64版本
a.txt 最後一行
[ 582.122465] capability: warning: `VirtualBox' uses 32-bit capabilities (legacy support in use)
?
头像
bjlaoshu
帖子: 15
注册时间: 2011-10-27 11:27
系统: Gentoo
来自: http://www.linuxcoming.com
送出感谢: 1 次
接收感谢: 1 次
联系:

Re: 升级到1604后,virtual box无法使用

#4

帖子 bjlaoshu » 2016-04-22 13:37

升级新版本后,一般内核也随之更新到最新版本了.
但是virtualbox安装过程中需要安装模块, 系统更新后并没有更新内核模块.

一般处理方法是你重新安装下virtualbox, 动手能力强点可以自己重新编译virtualbox内核模块.
主要就下面三个模块:

代码: 全选

vboxdrv vboxnetflt vboxnetadp
Gentoo Linux忠实粉丝, 目前已经稳定使用超过三年.喜欢分享,欢迎到我的个人网站联系我 http://www.linuxcoming.com
poloshiao
论坛版主
帖子: 18280
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1957 次

Re: 升级到1604后,virtual box无法使用

#5

帖子 poloshiao » 2016-04-22 19:10

升级到1604后,virtualbox也升级到5.0.18 amd64版本
一般处理方法是你重新安装下virtualbox
參閱
https://www.virtualbox.org/wiki/Linux_Downloads
Please choose the appropriate package for your Linux distribution:
Ubuntu 16.04 ("Xenial") i386 | AMD64
这些用户感谢了作者 poloshiao 于这个帖子:
bjlaoshu (2016-04-23 13:42)
评价: 3.7%
头像
kashu
帖子: 451
注册时间: 2014-02-07 17:31
系统: Xubuntu 14.04.5 64位
送出感谢: 37 次
接收感谢: 26 次

Re: 升级到1604后,virtual box无法使用

#6

帖子 kashu » 2016-04-22 20:12

我觉得大家还是不用这么心急把物理机的系统升级到16.04,可以在虚拟机里先玩玩。
系统刚出来的前几个月内,问题肯定会有一些。(个人经验) :em06


OS: Xubuntu 14.04.5 LTS 64-bit
CPU: Intel(R) Core(TM) i5-3210M CPU @ 2.50GHz
RAM: 12GB DDR3 1333MHz
128GB SSD + 2TB HDD
神舟优雅A480B-I5B 购于 2012.08

YouTube频道:https://www.youtube.com/channel/UCGSPXZ ... DuDYX8L6Qg
九度十二分
帖子: 7
注册时间: 2011-05-19 10:21
送出感谢: 1 次
接收感谢: 0

Re: 升级到1604后,virtual box无法使用

#7

帖子 九度十二分 » 2016-04-25 15:31

我也是与到了同样的问题,报错完全一样,和lz一样执行了后报错也一样

我具体又执行了一遍:sudo modprobe vboxdrv
报错如下:
modprobe: ERROR: could not insert 'vboxdrv': Required key not available

key都添加了好几遍,早知道不瞎升级了!
头像
冲浪板
论坛版主
帖子: 7512
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

Re: 升级到1604后,virtual box无法使用

#8

帖子 冲浪板 » 2016-04-25 15:59

等升级呗
头像
ptpt52
帖子: 717
注册时间: 2008-07-27 8:51
系统: Ubuntu/Windows
来自: 广西玉林|广东深圳
送出感谢: 1 次
接收感谢: 4 次
联系:

Re: 升级到1604后,virtual box无法使用

#9

帖子 ptpt52 » 2016-04-25 18:10

九度十二分 写了:我也是与到了同样的问题,报错完全一样,和lz一样执行了后报错也一样

我具体又执行了一遍:sudo modprobe vboxdrv
报错如下:
modprobe: ERROR: could not insert 'vboxdrv': Required key not available

key都添加了好几遍,早知道不瞎升级了!
你好,这种问题,需要今日 UEFI secure boot 安全启动才可以解决
这些用户感谢了作者 ptpt52 于这个帖子:
九度十二分 (2016-04-26 10:38)
评价: 3.7%
走过去了也便有了路
http://www.ptpt52.com/
头像
bjlaoshu
帖子: 15
注册时间: 2011-10-27 11:27
系统: Gentoo
来自: http://www.linuxcoming.com
送出感谢: 1 次
接收感谢: 1 次
联系:

Re: 升级到1604后,virtual box无法使用

#10

帖子 bjlaoshu » 2016-04-25 18:20

Gentoo 官方wiki有非常详细的说明, 这是由于内核版本升级,而virtualbox 内核模块未重新编译导致, Ubuntu上的问题也类似,具体描述如下:

代码: 全选

Kernel driver not installed
VirtualBox-Error: Kernel driver not installed
This may occur after building a new kernel and causes an error message:
Kernel driver not installed (rc=-1908)
The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing
'/etc/init.d/vboxdrv setup'
as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.
Solution: Rebuild the VirtualBox kernel modules with
root #emerge -1 @module-rebuild
You may need to restart your computer to validate the change.

详细信息, 参考下Gentoo VirtualBox Wiki: https://wiki.gentoo.org/wiki/VirtualBox
Gentoo Linux忠实粉丝, 目前已经稳定使用超过三年.喜欢分享,欢迎到我的个人网站联系我 http://www.linuxcoming.com
poloshiao
论坛版主
帖子: 18280
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1957 次

Re: 升级到1604后,virtual box无法使用

#11

帖子 poloshiao » 2016-04-25 18:58

我具体又执行了一遍:sudo modprobe vboxdrv
报错如下:
modprobe: ERROR: could not insert 'vboxdrv': Required key not available
http://askubuntu.com/questions/760671/c ... untu-16-04

http://askubuntu.com/questions/762254/w ... -ubuntu-16
Why do I get “Required key not available” when install DKMS modules in Ubuntu 16.04?
Since Ubuntu kernel build 4.4.0-21.37 this can be fixed by running
sudo apt install mokutil
sudo mokutil --disable-validation
九度十二分
帖子: 7
注册时间: 2011-05-19 10:21
送出感谢: 1 次
接收感谢: 0

Re: 升级到1604后,virtual box无法使用

#12

帖子 九度十二分 » 2016-04-26 10:35

ptpt52 写了:
九度十二分 写了:我也是与到了同样的问题,报错完全一样,和lz一样执行了后报错也一样

我具体又执行了一遍:sudo modprobe vboxdrv
报错如下:
modprobe: ERROR: could not insert 'vboxdrv': Required key not available

key都添加了好几遍,早知道不瞎升级了!
你好,这种问题,需要今日 UEFI secure boot 安全启动才可以解决
多谢大神,最后禁用了secure boot 解决了。但禁用安全启动有什么安全影响么?

还有参考:http://askubuntu.com/questions/762136/c ... 04/762376#
I found the answer, it was that secure boot thing installed by Ubuntu while upgrading. The instructions were not clear as to how to remove that secure boot thing but i managed to do it.

Restart your computer after installed the DKMS drivers for VBOX
You will be prompted with a blue screen with 2 options: wait or change MDK settings
Choosing change MDK settings and enter the password characters as requested, you have to press on the key corresponding to the character index being asked for and then press ENTER.
After entering 2 or 3 characters, they will ask you if you want to remove secure boot, say yes!
Computer will restart, once you are back it should work!
我曾经试着呼出了mdk settings界面,但是后面让输入2or3 characters就失败了。后来怎么也呼不出来了。这个界面到底是啥?我百度了半天也没找到答案,让输入的2or3,是不是就按个2,按个3?我输入密码怎么都不行。

不管怎么样,这个问题解决了,现在vbox运行正常。
九度十二分
帖子: 7
注册时间: 2011-05-19 10:21
送出感谢: 1 次
接收感谢: 0

Re: 升级到1604后,virtual box无法使用

#13

帖子 九度十二分 » 2016-04-26 10:37

poloshiao 写了:
我具体又执行了一遍:sudo modprobe vboxdrv
报错如下:
modprobe: ERROR: could not insert 'vboxdrv': Required key not available
http://askubuntu.com/questions/760671/c ... untu-16-04

http://askubuntu.com/questions/762254/w ... -ubuntu-16
Why do I get “Required key not available” when install DKMS modules in Ubuntu 16.04?
Since Ubuntu kernel build 4.4.0-21.37 this can be fixed by running
sudo apt install mokutil
sudo mokutil --disable-validation
这个方法尝试了,解决不了
ganlin134
帖子: 2
注册时间: 2016-04-21 10:33
系统: ubuntu 15.10
送出感谢: 0
接收感谢: 0

Re: 升级到1604后,virtual box无法使用

#14

帖子 ganlin134 » 2016-04-29 11:32

感觉现在升级到16.04早了点,很多软件都还没跟得上
az255
帖子: 20
注册时间: 2014-03-20 22:37
系统: ubuntu 12.04
送出感谢: 3 次
接收感谢: 0

Re: 升级到1604后,virtual box无法使用

#15

帖子 az255 » 2016-05-03 15:30

virtalbox出5.0.20了,装上还是不行,报一样的错。
回复

回到 “LTS 长支持版”